import { Gender } from "./Member";

export class DropDownOption {
    constructor(key: any, value1: any, extraConfig: Partial<DropDownOption> = {}) {

        Object.assign(this, extraConfig);
        this.key = key;
        this.value1 = value1;
    }

    key: any;
    value1: any;
    value2: any = null;
    value3: any = null;
    value4: any = null;
    readonly: boolean = false;
    default: boolean = false;
    selected: boolean = false;
    focused: boolean = false;
    visible: boolean = true;
    disabled: boolean = false;
}

export class DropDownOptions {

    public static GenderOptions: DropDownOption[] = [
        new DropDownOption(Gender.Male, "男"),
        new DropDownOption(Gender.Female, "女")
    ]
}